%define api 2.6
%define major 2
%define libname %mklibname %{name} %{api} %{major}

%define url_ver %(echo %{version} | cut -d. -f1,2)

Summary:	A UPnP v2 Media Server
Name:		rygel
Version:	0.28.2
Release:	1
License:	LGPLv2+
Group:		Sound
Url:		https://wiki.gnome.org/Rygel
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	intltool
#BuildRequires:	tracker-vala
BuildRequires:	perl >= 5.8.1
BuildRequires:	perl(XML::Parser)
BuildRequires:	xsltproc
BuildRequires:	vala >= 0.24.0
BuildRequires:	tracker-devel >= 0.14.0
BuildRequires:	pkgconfig(gee-0.8) >= 0.8.0
BuildRequires:	pkgconfig(gio-2.0) >= 2.26
BuildRequires:	pkgconfig(gmodule-2.0) >= 2.40.0
BuildRequires:	pkgconfig(gssdp-1.0) >= 0.13.0
BuildRequires:	pkgconfig(gstreamer-1.0) >= 1.0
BuildRequires:	pkgconfig(gstreamer-app-1.0) >= 1.0
BuildRequires:	pkgconfig(gstreamer-pbutils-1.0) >= 1.0
BuildRequires:	pkgconfig(gstreamer-tag-1.0) >= 1.0
BuildRequires:	pkgconfig(gstreamer-video-1.0) >= 1.0
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.0
BuildRequires:	pkgconfig(gupnp-1.0) >= 0.20.14
BuildRequires:	pkgconfig(gupnp-av-1.0) >= 0.12.4
BuildRequires:	pkgconfig(gupnp-dlna-2.0) >= 0.9.4
BuildRequires:	pkgconfig(gupnp-dlna-gst-2.0) >= 0.9.4
BuildRequires:	pkgconfig(libmediaart-2.0) >= 0.7.0
BuildRequires:	pkgconfig(libsoup-2.4) >= 2.44.0
BuildRequires:	pkgconfig(libxml-2.0) >= 2.7
BuildRequires:	pkgconfig(sqlite3) >= 3.5
BuildRequires:	pkgconfig(uuid) >= 1.41.3

Requires:	gnome-icon-theme-symbolic
Requires:	gstreamer1.0-libav
Requires:	gstreamer1.0-plugins-bad
Requires:	gstreamer1.0-plugins-good
Requires:	gstreamer1.0-plugins-ugly
Requires:	shared-mime-info

%rename		%{name}-tracker

%description
Rygel is an implementation of the UPnP MediaServer V 2.0 specification that is
specifically designed for GNOME. It is based on GUPnP and is written (mostly)
in Vala language. The project was previously known as gupnp-media-server.

%files -f %{name}.lang
%doc AUTHORS COPYING README TODO NEWS
%config(noreplace) %{_sysconfdir}/%{name}.conf
%{_bindir}/%{name}
%{_bindir}/%{name}-preferences
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}-%{api}
%dir %{_libdir}/%{name}-%{api}/plugins
%dir %{_libdir}/%{name}-%{api}/engines
%{_libdir}/%{name}/mx-extract
%{_libdir}/%{name}-%{api}/plugins/*
%{_libdir}/%{name}-%{api}/engines/*
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}*
%{_iconsdir}/hicolor/*/apps/*
%{_mandir}/man?/*
%{_datadir}/dbus-1/services/org.gnome.Rygel1.service

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Shared libraries for %{name}
Group:		System/Libraries

%description -n %{libname}
Shared libraries for %{name}.

%files -n %{libname}
%doc COPYING
%{_libdir}/lib*.so.*

#----------------------------------------------------------------------------

%package devel
Summary:	Development package for %{name}
Group:		Development/Other
Requires:	%{name} = %{EVRD}
Requires:	%{libname} = %{EVRD}

%description devel
Files for development with %{name}.

%files devel
%doc COPYING
%{_includedir}/%{name}-%{api}
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/%{name}-*-%{api}.pc
%{_datadir}/gtk-doc/html/*
%{_datadir}/vala/vapi/*

#----------------------------------------------------------------------------

%prep
%setup -q


%build
# No more need for this
#export LDFLAGS="-lgtk-3 -lglib-2.0 -lgee-0.8"
%configure2_5x	--enable-tracker-plugin \
		--enable-media-export-plugin \
		--enable-external-plugin \
		--enable-mediathek-plugin \
		--enable-playbin-plugin \
		--enable-gst-launch-plugin \
		--enable-example-plugins \
		--enable-vala \
		--with-media-engine=gstreamer \
		--disable-silent-rules

sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

%make V=1 


%install
%makeinstall_std

%find_lang %{name}

%changelog

* Mon Jan 25 2016 Giovanni Mariani <mc2374@mclink.it> 0.28.2-1
- (07b3cf7) Updated to release 0.28.2, updated file BReqs (according to configure output) and file list


